//	VUMeter.h - Displays a simple VU Meter.
//  ----------------------------------------------------------------------------
//	This file is part of 'NiallsAVLib', base code for any kind of audiovisual
//	apps.
//	Copyright (C) 2012  Niall Moody
//	
//	This program is free software: you can redistribute it and/or modify
//	it under the terms of the GNU General Public License as published by
//	the Free Software Foundation, either version 3 of the License, or
//	(at your option) any later version.
//
//	This program is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//	GNU General Public License for more details.
//
//	You should have received a copy of the GNU General Public License
//	along with this program.  If not, see <http://www.gnu.org/licenses/>.
//	----------------------------------------------------------------------------

#ifndef VUMETER_H_
#define VUMETER_H_

#include "c0xHeaders.h"
#include "TwoFloats.h"

class Drawer;

///	Displays a simple VU Meter.
class VUMeter
{
  public:
	///	Constructor.
	VUMeter(const TwoFloats& pos, float mirror);
	///	Destructor.
	~VUMeter();

	///	Draws the meter.
	void draw(shared_ptr<Drawer>& d);

	///	Sets the meter's value (0->1).
	void setValue(float val);
  private:
	///	The meter's position.
	TwoFloats position;
	///	The meter's x scale (for mirroring it).
	TwoFloats xScale;
	///	The meter's value.
	float value;
};

#endif
